Skip to content

对话执行 API ​

由 scripts/generate-api-docs.ts 自动生成 —— 请勿手改 共 3 个端点

POST /chat/execute ​

执行已准备的DAG工作流

请求体 ​

json
{
  "$ref": "#/components/schemas/ChatExecuteDto"
}

响应 ​

状态码说明
201

POST /chat/prepare ​

分析需求→拆解→匹配Agent→生成DAG(不执行)

请求体 ​

json
{
  "$ref": "#/components/schemas/ChatExecuteDto"
}

响应 ​

状态码说明
201

POST /chat/prepare/stream ​

流式分析需求:translated → matched → workflow_ready(不执行)

请求体 ​

json
{
  "$ref": "#/components/schemas/ChatExecuteDto"
}

响应 ​

状态码说明
201

Released under the MIT License.